# Manuale dell'utente di &kde;

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2010-10-28
&kde; 4.5
kded4
8

# `kded4`

Demone di &kde; - aggiorna la banca dati di Sycoca quando necessario.

## Sintassi

    kded4 --help opzioni generiche opzioni di Qt opzioni di KDE --check

## Descrizione

`kded4` è responsabile della creazione del file Sycoca, cioè la cache binaria di tipi di servizi, tipi di file, e servizi per un certo utente.

Sorveglia le cartelle contenenti file `.desktop`. Quando un file viene aggiunto o rimosso, attende cinque secondi (per il caso di una serie di aggiornamenti), e quindi avvia `kbuildsycoca4` per aggiornare Sycoca.

Controlla i file di aggiornamento installati recentemente, cioè i file `*.upd` usati per aggiornare i file di configurazione degli utenti quando cambia il formato dei file di configurazione. Per fare gli aggiornamenti si esegue `kconf_update`.

Quando cambia il nome dell'host, farà le modifiche necessarie all'ambiente &kde; e al server X per permetterne il funzionamento, eseguendo `kdontchangethehostname` per le modifiche.

Questi compiti sono anche effettuati a ogni avvio di kded4 per assicurarsi che la configurazione dell'utente sia aggiornata.

È inoltre responsabile per l'avvio dei moduli a richiesta di kded4 e di quelli abilitati per l'inizializzazione, come:

`Precaricatore del browser Konqueror`

  Riduce il tempo di avvio di &konqueror;.

`Guardia delle cartelle`

  Sorveglia i cambiamenti nelle cartelle.

`Rilevamento dell'hardware`

  Dà un'interfaccia per l'utente agli eventi dell'hardware.

`Regole dei certificati SSL`

  Fornisce alle applicazioni le regole configurate dall'utente per i certificati SSL.

`Configurazione dei proxy di rete`

  Configurazione automatica dei proxy.

`Memorizzazione delle password`

  Memorizzazione temporanea delle password, per esempio in modo che una pagina Web con autenticazione HTTP non chieda la password per ogni suo collegamento e ogni sua immagine. Queste password vengono dimenticate all'uscita da &kde; (al contrario del portafogli di &kde;).

`Gestione del suono`

  Dà le linee guida di sistema per il suono alle applicazioni.

`Iconcine`

  Memorizza le icone dei siti Web.

`Gestione del video`

  Gestisce gli schermi e le uscite video.

`Modulo Jar dei cookie`

  Salva cookie di rete.

`Guardia di rete`

  Tiene traccia della rete e aggiorna la lista delle cartelle del KIOslave network:/.

`Modulo di Subversion`

  Fornisce varie azioni di Subversion al gestore dei file e ad altri programmi.

`Stato di rete`

  Segue lo stato delle interfacce di rete e fornisce notifiche per le applicazioni che la usano.

`Demone di scrittura`

  Sorveglia i messaggi che gli utenti locali inviano con `write` o `wall`.

`Guardia dell'area di modifica`

  Segue le applicazioni che vogliono usare l'area di notifica basata su D-Bus.

`KMixD`

  Servizio mixer KMixD

`Demone del vassoio di sistema`

  Segue le applicazioni che vogliono usare il vassoio di sistema basato su D-Bus.

`Demone della tastiera`

  Segue le modifiche della tastiera (nuova tastiera, mappatura cambiata)

`Notifica del cambiamento di URL remoti`

  Dà notifiche dei cambiamenti per le cartelle di rete

`Gestore delle attività`

  Il motore del gestore delle attività di Nepomuk

`Monitor di cambiamento della gestione dello schermo`

  Notifica come è stato ruotato lo schermo (ove disponibile)

`Notificatore dello spazio libero`

  Avvisa quando si sta finendo lo spazio nella tua cartella Home.

`Montaggio automatico dei dispositivi rimovibili`

  Monta automaticamente i dispositivi secondo necessità.

`Modulo di ricerca di Nepomuk`

  Modulo ausiliare per KIO per assicurare gli aggiornamenti automatici delle liste di ricerca di Nepomuk.

`Gestione energetica`

  Gestione e notifiche di batteria, schermo e consumo del processore.

`Demone dei telecomandi`

  Gestisce i comandi ricevuti dal telecomando

`Gestore del notificatore di stato`

  Gestisce i servizi che forniscono interfacce utente al notificatore di stato.

`Rilevamento di servizi DNS-SD`

  Controlla la presenza di servizi DNS-SD nella rete.

`Espulsore di unità`

  Smonta e rilascia automaticamente le unità quando ne viene premuto il pulsante di espulsione.

`Fuso orario`

  Dà accesso ai fusi di sistema alle applicazioni.

`Azioni di immissione`

  Il servizio azioni di immissione effettua particolari azioni quando certi tasti vengono premuti.

I moduli di inizializzazione possono essere abilitati o disabilitati nelle &systemsettings;, in Amministrazione di sistema Avvio e spegnimento Gestione dei servizi.

## Opzioni generiche

`--author`

  Mostra le informazioni sull'autore.

`--help`

  Mostra la guida sulle opzioni.

`--help-all`

  Mostra tutte le opzioni.

`--help-kde`

  Mostra le opzioni specifiche per &kde;.

`--help-qt`

  Mostra le opzioni specifiche per Qt.

`--license`

  Mostra le informazioni sulla licenza.

`-v` `--version`

  Mostra le informazioni sulla versione

## Opzioni dell'applicazione

`--check`

  Controlla la banca dati di Sycoca solo una volta.

## Uso

Se `kded4` viene chiamato senza parametri ed è già in esecuzione, visualizza il messaggio:

    Demone di &kde; (kded) già in esecuzione.

Se il comando `kded4` viene chiamato come `kded4 `--check``, aggiorna il Sycoca di &kde; usando `kbuildsycoca4`.

## Vedi anche

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

## Errori

Probabilmente ce ne sono a bizzeffe. Usa bugs.kde.org per segnalarli.